Subject: [Megaco] RE: A question about H.248.56 (ex H.248.VPN)

From: "Schwarz Albrecht" <[email-masked]>
Date: Mon, 26 Nov 2007 15:26:33 +0100

Hi Lanlan Li,

the VID relates to the VPN-ID in case of a Ethernet-based L2VPN, see H.248.56, § 1.2.1: 
...
The tags property of the H.248 vlan package is a VPN-ID (called the VLAN Identifier, VID; see clause 6.1.1) and is used to assign an H.248 Stream of an Ethernet-based ephemeral Termination to a particular VLAN.

Further:
a "VPN-ID" identifies a VPN, but not a H.248 MG. Any MG may be connected to multiple LxVPNs in general.

See my responses below.

Best regards,
Albrecht

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Montag, 26. November 2007 12:52
> To: Schwarz Albrecht
> Subject: A question about H.248.56(ex H.248.VPN)
> 
> Hello, Mr Schwarz!
> 
> Today I read recommendation H.248.56. May I ask you some 
> question ,thanks a lot!!
> 
> 1. How does MG get it's VLAN idenitfier, whether it is 
> configured in MGC and then sent to MG by MGC?
[ABS] The VID is signalled via H.248 per Stream/Termination. The VID is only applicable on non-Root, Ethernet-based ephemeral terminations. [Whether the use case "Root termination" makes sense is questionable in my opinion, thus I would exclude that case.]
> 
> 2. What is relation between VPN-ID and MG? For example: 
> VPN-ID=H.248 Stream or VPN-ID=MG or VPN-ID=a termination in MG?
[ABS] The VID relates to an H.248 Stream/Termination. I would assume that in practise all Streams of the same Ethernet Termination would belong to the same VLAN. Simpliefied: the 12-bit VID extends the physical 48-bit L2 address to a "virtual 60-bit address". The 12-bit VID is signalled by the MGC (in order to indicated the right L2VPN), the physical 48-bit L2 destination address is queried by the MG via ARP (in case of IP-over-ETH).
> 
> Best Regards,
> Lanlan  Li
> ****************************************************
>    System Architecture Dept.
>    ZTE central R&D
>    Tel: +86-25-52877609
>    Email:[email-masked]
> ****************************************************
> 
> 
_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco